package SplitDeath
{
	function clientCmdServerMessage(%tag,%msg,%a1,%a2,%a3,%a4,%a5,%a6,%a7,%a8,%a9,%a10)
	{
		%detagged = detag(%tag);
		%det = detag(%msg);
		if(%detagged $= "MsgYourDeath" || %detagged $= "MsgClientKilled")
		{
			if($DeathCounts == 5)
			{
				for(%x=1;%x<=4;%x++)
					$Death[%x] = $Death[%x+1];
				$Death5 = %det;
			}
			else
				$Death[$DeathCounts++] = %det;
			%deathMessage = $Death1;
			for(%x=2;%x<=$DeathCounts;%x++)
				%deathMessage = %deathMessage NL $Death[%x];
			newDeathText.setText(%deathMessage);
			return;
		}
		else
			return Parent::clientCmdServerMessage(%tag,%msg,%a1,%a2,%a3,%a4,%a5,%a6,%a7,%a8,%a9,%a10);
	}
	function PlayGui::onWake(%this)
	{
		NewChatText.extent = getWord($pref::Video::resolution,0)-200 SPC getWord(NewChatText.extent,1);
		newDeathText.delete();
		startDeathText();
		return Parent::onWake(%this);
	}
};
activatePackage(SplitDeath);


function startDeathText()
{
	if(isObject(newDeathText))
		return;
	$DeathCounts = 0;
	NewChatHud.add(
		new GuiMLTextCtrl(newDeathText)
		{
			profile = NewChatText.profile;
			horizSizing = left;
			vertSizing = bottom;
			position = getWord(NewChatText.extent,0)+20 SPC 10;
			extent = "180 18";
			visible = true;
			lineSpacing = 12;
			allowColorChars = true;
			maxChars = -1;
			text = " ";
			maxBitmapHeight = 20;
			selectable = false;
		}
	);
}